Loading...
Searching...
No Matches
Halide::Internal::IntegerDivision Namespace Reference

## Variables

const int64_t | table_u8 [256][4]
const int64_t | table_s8 [256][4]
const int64_t | table_srz8 [256][4]
const int64_t | table_u16 [256][4]
const int64_t | table_s16 [256][4]
const int64_t | table_srz16 [256][4]
const int64_t | table_u32 [256][4]
const int64_t | table_s32 [256][4]
const int64_t | table_srz32 [256][4]
const int64_t | table_runtime_u8 [256][4]
const int64_t | table_runtime_s8 [256][4]
const int64_t | table_runtime_srz8 [256][4]
const int64_t | table_runtime_u16 [256][4]
const int64_t | table_runtime_s16 [256][4]
const int64_t | table_runtime_srz16 [256][4]
const int64_t | table_runtime_u32 [256][4]
const int64_t | table_runtime_s32 [256][4]
const int64_t | table_runtime_srz32 [256][4]

## Variable Documentation

## table_u8

const int64_t Halide::Internal::IntegerDivision::table_u8[256][4]

extern

## table_s8

const int64_t Halide::Internal::IntegerDivision::table_s8[256][4]

extern

## table_srz8

const int64_t Halide::Internal::IntegerDivision::table_srz8[256][4]

extern

## table_u16

const int64_t Halide::Internal::IntegerDivision::table_u16[256][4]

extern

## table_s16

const int64_t Halide::Internal::IntegerDivision::table_s16[256][4]

extern

## table_srz16

const int64_t Halide::Internal::IntegerDivision::table_srz16[256][4]

extern

## table_u32

const int64_t Halide::Internal::IntegerDivision::table_u32[256][4]

extern

## table_s32

const int64_t Halide::Internal::IntegerDivision::table_s32[256][4]

extern

## table_srz32

const int64_t Halide::Internal::IntegerDivision::table_srz32[256][4]

extern

## table_runtime_u8

const int64_t Halide::Internal::IntegerDivision::table_runtime_u8[256][4]

extern

## table_runtime_s8

const int64_t Halide::Internal::IntegerDivision::table_runtime_s8[256][4]

extern

## table_runtime_srz8

const int64_t Halide::Internal::IntegerDivision::table_runtime_srz8[256][4]

extern

## table_runtime_u16

const int64_t Halide::Internal::IntegerDivision::table_runtime_u16[256][4]

extern

## table_runtime_s16

const int64_t Halide::Internal::IntegerDivision::table_runtime_s16[256][4]

extern

## table_runtime_srz16

const int64_t Halide::Internal::IntegerDivision::table_runtime_srz16[256][4]

extern

## table_runtime_u32

const int64_t Halide::Internal::IntegerDivision::table_runtime_u32[256][4]

extern

## table_runtime_s32

const int64_t Halide::Internal::IntegerDivision::table_runtime_s32[256][4]

extern

## table_runtime_srz32

const int64_t Halide::Internal::IntegerDivision::table_runtime_srz32[256][4]

extern